# rpg-cards-ng

![Decks Overview](https://raw.githubusercontent.com/nkoehring/rpg-cards-ng/master/docs/scrot.jpg)

![Deck Example](https://raw.githubusercontent.com/nkoehring/rpg-cards-ng/master/docs/scrot2.jpg)

New and shiny replacement for the slightly outdated and clunky [RPC Cards Generator](https://crobi.github.io/rpg-cards/generator/generate.html). Not yet usable.

## Project goals and if they are already implemented

Roughly in order of planned implementation.

 * [x] comfortable, mobile optimized interface
 * [x] handle decks of cards in a wysiwyg way
 * [x] save decks in your browser
 * [x] edit cards in a wysiwyg way
 * [ ] print view (obviously)
 * [ ] load graphics directly from game-icons.net
 * [ ] create and store cross-deck sets of cards
 * [ ] allow graphics upload
 * [ ] custom graphic sets

## Nice to have

Things I'd love to see but I'm not focussing on right now:

 * [ ] different card layouts / theming
 * [ ] allow icons to be stored locally (in browser)
 * [ ] offline mode
 * [ ] PDF export

## Project development
```
yarn install
yarn run serve  # Compiles and hot-reloads for development
yarn run build  # Compiles and minifies for production
yarn run test   # Run tests
yarn run lint   # Lints and fixes files
```

## Attributions

* Icons are from [Zondicons](https://www.zondicons.com).
* Graphics are from [Game-Icons.net](https://game-icons.net/) if not attributed differently.
